@extends(config('user_management.layout-admin'))

@section('content_header')
  <h1>Admin users</h1>
@stop

@section('content')

  <div class="row">
    <div class="col-xs-12 col-md-8">
      <div class="box">
        {!! form_open([
          'model' => $user,
          'update' => 'admin.users.update',
          'method' => 'PUT',
        ])!!}

        <div class="box-header">
          <h3 class="box-title">Edit {{ $user->name }}</h3>
        </div>
        <div class="box-body">
          <div class="col-sm-12">
            @include('userManagement::users.partials.form-fields')
          </div>
        </div>
        <div class="box-footer">
          <button type="submit" class="btn btn-flat btn-primary pull-right">
            <i class="fa fa-floppy-o"></i> {{trans('userManagement::users.update')}}
          </button>
        </div>
        {!! form_close() !!}
      </div>
    </div>

    @if(is_null($user->password))
      <div class="col-xs-12 col-md-4">
        @include('userManagement::users.partials.login-link')
      </div>
    @endif
    @if (config('user_management.requires_approval') && $user->requiresApproving())
      <div class="col-xs-12 col-md-4">
        @include('userManagement::users.partials.approve')
      </div>
    @endif

    @can('delete', $user)
      <div class="col-xs-12 col-md-4">
        @include('userManagement::users.partials.delete-box')
      </div>
    @endcan
  </div>
@endsection
