<?php

Route::group([
    'namespace' => 'Drp\UserManagement\Http\Controllers\Auth',
    'middleware' => config('user_management.auth-middleware'),
], function () {

    Route::get('/approval-required', 'ApprovalRequiredController@index')->name('approval_required');

    Route::get('login/{token}', ['as' => 'login.first', 'uses' => 'LoginTokenController@firstLogin']);

    Route::group(['middleware' => 'auth'], function () {
        Route::get('/setup', ['as' => 'account.setup', 'uses' => 'AccountSetupController@edit']);
        Route::post('/setup', ['as' => 'account.setup.update', 'uses' => 'AccountSetupController@update']);
    });
});
