<?php

namespace Drp\UserManagement\Mail;

use Drp\UserManagement\Events\AccountActivated as ActivatedEvent;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Mail;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

/**
 * Class AccountActivation
 * @package Drp\UserManagement\Mail
 */
class AccountActivation extends Mailable
{
    use Queueable, SerializesModels;


    /**
     * Handle the event here
     * @param ActivatedEvent $event
     * @return void
     */
    public function handle(ActivatedEvent $event)
    {
        Mail::to($event->user)->send(new static());
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this
            ->markdown('userManagement::emails.account.activated');
    }
}
